Get customers by customer status
curl --request POST \
--url https://gateway.varchev.com/customer/getByCustomerStatus/{customerStatus} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'tenantId: <tenantid>' \
--data '
{
"type": "<string>",
"created": "<string>",
"status": "<string>",
"pageNumber": 123,
"pageSize": 123
}
'import requests
url = "https://gateway.varchev.com/customer/getByCustomerStatus/{customerStatus}"
payload = {
"type": "<string>",
"created": "<string>",
"status": "<string>",
"pageNumber": 123,
"pageSize": 123
}
headers = {
"tenantId": "<tenantid>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
tenantId: '<tenantid>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
type: '<string>',
created: '<string>',
status: '<string>',
pageNumber: 123,
pageSize: 123
})
};
fetch('https://gateway.varchev.com/customer/getByCustomerStatus/{customerStatus}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"customers": [
{
"id": "<string>",
"customerName": "<string>",
"notifications": [
{
"isEnabled": true
}
],
"person": {
"firstName": {
"name": "<string>",
"order": 123,
"abbreviation": "<string>",
"language": "<string>",
"native": "<string>",
"suffix": "<string>",
"prefix": "<string>"
},
"lastName": {
"name": "<string>",
"order": 123,
"abbreviation": "<string>",
"language": "<string>",
"native": "<string>",
"suffix": "<string>",
"prefix": "<string>"
},
"fullName": "<string>",
"groupId": "<string>",
"dateOfBirth": "<string>",
"placeOfBirth": "<string>",
"nationality": "<string>",
"pinCode": "<string>",
"password": "<string>",
"email": "<string>",
"telephoneNumbers": [
{
"operator": "<string>",
"country": "<string>",
"number": "<string>",
"purpose": "<string>"
}
],
"addresses": [
{
"addressPurpose": "<string>",
"address": {
"country": "<string>",
"area": "<string>",
"zipCode": "<string>",
"city": "<string>",
"street": "<string>",
"streetNumber": [
"<string>"
],
"building": "<string>",
"apartment": "<string>",
"entrance": "<string>",
"floor": "<string>",
"doorNumber": "<string>",
"geoPosition": {
"latitude": 123,
"longitude": 123,
"altitude": 123
},
"alternative": {
"word1": "<string>",
"word2": "<string>",
"word3": "<string>"
},
"relatedToAddress": [
{
"address": "<string>"
}
],
"additionalData": [
{
"name": "<string>",
"value": "<string>"
}
]
}
}
],
"documents": [
{
"name": "<string>",
"location": "<string>",
"verificationResponse": "<string>",
"metadata": [
{
"name": "<string>",
"value": "<string>"
}
]
}
],
"SecretQuestion": [
{
"question": "<string>",
"answer": "<string>"
}
]
},
"twofa": {
"targetValue": "<string>",
"targetCode": "<string>",
"inputCode": "<string>",
"codematch": true
}
}
],
"pagination": {
"numberOfPage": 123,
"totalSize": 123,
"currentPage": 123
}
}{
"httpCode": 123,
"internalCode": 123,
"internalType": "<string>",
"severity": "<string>",
"description": "<string>"
}Customer
Get customers by customer status
POST
/
getByCustomerStatus
/
{customerStatus}
Get customers by customer status
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
Tenant/Owner id
Path Parameters
Customer Status
Available options:
new, verified, under_verificaiton, blacklisted, under_investigation, dispute, on_hold, bancrupted ⌘I

